Arch MergeWalls: Difference between revisions

From FreeCAD Documentation
(Marked this version for translation)
(Marked this version for translation)
 
(16 intermediate revisions by 5 users not shown)
Line 1: Line 1:
<languages/>
<languages/>
{{Template:UnfinishedDocu}}
<translate>
<translate>

<!--T:5-->
<!--T:5-->
{{Docnav
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]}}
|[[Arch_CloseHoles|CloseHoles]]
|[[Arch_Check|Check]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_CloseHoles.svg
|IconR=Arch_Check.svg
|IconC=Workbench_Arch.svg
}}


<!--T:1-->
<!--T:1-->
Line 9: Line 16:
|Name=Arch MergeWalls
|Name=Arch MergeWalls
|MenuLocation=Arch → Utilities → Merge Walls
|MenuLocation=Arch → Utilities → Merge Walls
|Workbenches=[[Arch Module|Arch]]
|Workbenches=[[Arch_Workbench|Arch]]
|SeeAlso=[[Arch Wall]]
|SeeAlso=[[Arch_Wall|Arch Wall]]
}}
}}


Line 16: Line 23:


<!--T:6-->
<!--T:6-->
The [[Arch MergeWalls|MergeWalls]] tool fuses two or more selected [[Arch Wall]]s.
The [[Arch_MergeWalls|MergeWalls]] tool fuses two or more selected {{Button|[[Image: Arch_Wall.svg|16px]] [[Arch_Wall|Arch Walls]]}}.


==How to use== <!--T:3-->
==Usage== <!--T:3-->


<!--T:7-->
<!--T:7-->
# Select two or more walls.
# Select two or more walls.
# Go to the menu {{MenuCommand|Arch → Utilities → [[Image:Arch MergeWalls.svg|16px]] Merge Walls}}.
# Press the {{KEY|[[Image:Arch MergeWalls.svg|16px]]}} button, or use the {{KEY|Arch}}{{KEY|Utilities}}{{KEY|[[Image:Arch MergeWalls.svg|16px]] [[Arch MergeWalls|Merge Walls]]}} from the top menu.

==Properties== <!--T:14-->

==Limitations== <!--T:15-->


== Scripting == <!--T:8-->
== Scripting == <!--T:8-->

{{Emphasis|See also:}} [[Arch API]] and [[FreeCAD Scripting Basics]].
<!--T:16-->
{{Emphasis|See also:}} [[Arch_API|Arch API]] and [[FreeCAD_Scripting_Basics|FreeCAD Scripting Basics]].


<!--T:9-->
<!--T:9-->
This tool can be used in [[macros]] and from the [[Python]] console by using the following function:
This tool can be used in [[Macros|macros]] and from the [[Python|Python]] console by using the following function:
</translate>
</translate>
{{Code|code=
{{Code|code=
Line 53: Line 66:
}}
}}
<translate>
<translate>


<!--T:11-->
<!--T:11-->
{{Docnav
{{docnav|[[Arch_CloseHoles|Close Holes]]|[[Arch_Check|Check]]|[[Arch_Module|Arch]]}}
|[[Arch_CloseHoles|CloseHoles]]
|[[Arch_Check|Check]]
|[[Arch_Workbench|Arch]]
|IconL=Arch_CloseHoles.svg
|IconR=Arch_Check.svg
|IconC=Workbench_Arch.svg
}}


<!--T:4-->
{{Arch Tools navi}}
{{Userdocnavi}}
</translate>
</translate>
{{Arch Tools navi{{#translation:}}}}
{{Userdocnavi{{#translation:}}}}

Latest revision as of 12:01, 19 May 2023

Arch MergeWalls

Menu location
Arch → Utilities → Merge Walls
Workbenches
Arch
Default shortcut
None
Introduced in version
-
See also
Arch Wall

Description

The MergeWalls tool fuses two or more selected Arch Walls.

Usage

  1. Select two or more walls.
  2. Press the button, or use the ArchUtilities Merge Walls from the top menu.

Properties

Limitations

Scripting

See also: Arch API and FreeCAD Scripting Basics.

This tool can be used in macros and from the Python console by using the following function:

base = joinWalls(walls, delete=False)

Example:

import FreeCAD, Draft, Arch

p1 = FreeCAD.Vector(0, 0, 0)
p2 = FreeCAD.Vector(2000, 0, 0)
baseline = Draft.makeLine(p1, p2)
Wall1 = Arch.makeWall(baseline, length=None, width=150, height=2000)
FreeCAD.ActiveDocument.recompute()

Wall2 = Arch.makeWall(None, length=2000, width=200, height=1000)
FreeCAD.ActiveDocument.recompute() 

base = Arch.joinWalls([Wall1, Wall2])